Modify

Opened 21 months ago

Last modified 21 months ago

#22314 new defect

error building trunk for ap147 reference board

Reported by: wxwzqzhw Owned by: developers
Priority: normal Milestone:
Component: packages Version: Trunk
Keywords: Cc:

Description

Checking multilib configuration for libgcc...
make[6]: Entering directory `/home/mm/build/openwrt/build_dir/target-mips_34kc_musl-1.1.14/gcc-4.8.3/mips-openwrt-linux-musl/libgcc'
# If this is the top-level multilib, build all the other
# multilibs.
mips-openwrt-linux-musl-gcc -g -Os -O2 -g -Os -DIN_GCC -W -Wall -Wno-narrowing -Wwrite-strings -Wcast-qual -Wstrict-prototypes -Wmissing-prototypes -Wold-style-definition -isystem ./include -fPIC -g -DIN_LIBGCC2 -fbuilding-libgcc -fno-stack-protector -fPIC -I. -I. -I../../host-mips-openwrt-linux-musl/gcc -I../.././libgcc -I../.././libgcc/. -I../.././libgcc/../gcc -I../.././libgcc/../include -DHAVE_CC_TLS -o _m16addsf3_s.o -MT _m16addsf3_s.o -MD -MP -MF _m16addsf3_s.dep -DSHARED -DL_m16addsf3 -xassembler-with-cpp -c ../.././libgcc/config/mips/mips16.S
../.././libgcc/config/mips/mips16.S: Assembler messages:
../.././libgcc/config/mips/mips16.S:202: Error: opcode not supported on this processor: mips1 (mips1) `mtc1 $4,$f12'
../.././libgcc/config/mips/mips16.S:202: Error: opcode not supported on this processor: mips1 (mips1) `mtc1 $5,$f14'
../.././libgcc/config/mips/mips16.S:202: Error: opcode not supported on this processor: mips1 (mips1) `add.s $f0,$f12,$f14'
../.././libgcc/config/mips/mips16.S:202: Error: opcode not supported on this processor: mips1 (mips1) `mfc1 $2,$f0'
make[6]: * [_m16addsf3_s.o] Error 1
make[6]: Leaving directory `/home/mm/build/openwrt/build_dir/target-mips_34kc_musl-1.1.14/gcc-4.8.3/mips-openwrt-linux-musl/libgcc'
make[5]:
* [all-target-libgcc] Error 2
make[5]: Leaving directory `/home/mm/build/openwrt/build_dir/target-mips_34kc_musl-1.1.14/gcc-4.8.3'
make[4]: * [all] Error 2
make[4]: Leaving directory `/home/mm/build/openwrt/build_dir/target-mips_34kc_musl-1.1.14/gcc-4.8.3'
make[3]:
* /home/mm/build/openwrt/build_dir/target-mips_34kc_musl-1.1.14/gcc-4.8.3/.built Error 2
make[3]: Leaving directory `/home/mm/build/openwrt/feeds/packages/devel/gcc'
make[2]: * [package/feeds/packages/gcc/compile] Error 2
make[2]: Leaving directory `/home/mm/build/openwrt'
make[1]:
* /home/mm/build/openwrt/staging_dir/target-mips_34kc_musl-1.1.14/stamp/.package_compile Error 2
make[1]: Leaving directory `/home/mm/build/openwrt'

Attachments (1)

.config (154.1 KB) - added by wxwzqzhw 21 months ago.
config file

Download all attachments as: .zip

Change History (7)

Changed 21 months ago by wxwzqzhw

config file

comment:1 Changed 21 months ago by anonymous

Have you looked at the path? target-mips_34kc_musl-1.1.14/gcc-4.8.3/

That "gcc-4.8.3" seems a bit out of place and certainly out of date.
can you make a dirclean / distclean first?

comment:2 Changed 21 months ago by wxwzqzhw

Yes, I'm surprised at this.I have downloaded the trunk version of the source code,Yesterday. Before compiling GCC4.8.3, another GCC5.3.0 is downloaded and compiled by "make V=s", then GCC4.8.3 is downloaded and compiled, and then there is the error.

comment:3 Changed 21 months ago by anonymous

So, who's downloading that GCC 4.8.3 and why? Can you disable building the ImageBuilder, SDK by removing/disabling the following options:
CONFIG_IB
CONFIG_IB_STANDALONE
CONFIG_SDK
CONFIG_MAKE_TOOLCHAIN

make clean and try building it again?

comment:4 Changed 21 months ago by wxwzqzhw

Yeah,two selections found in menuconfig may cause downloading GCC 4.8.3. After cancelling "Global build settings/Compile with full language support" and "Development/gcc", this problem is avoided.

comment:5 Changed 21 months ago by anonymous

Development/gcc? Did you mean gdb? Or do you have additional feeds installed?

comment:6 Changed 21 months ago by wxwzqzhw

Yeah,I need gdbserver.

Add Comment

Modify Ticket

Action
as new .
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.